enum Sachkonto {
    Werkstatt = "Werkstatt",
    Verbrauchsmaterialien = "Verbrauchsmaterialien",
    TankenMaut = "Tanken+Maut",
    Bewirtung = "Bewirtung",
    Geschaeftsbedarf = "Geschäftsbedarf",
    MieteFahrzeug = "Miete Fahrzeug",
    Dienstkleidung = "Dienstkleidung",
}

function sachkontoDescription(sachkonto: Sachkonto): string {
    switch (sachkonto) {
        case Sachkonto.Werkstatt:
            return `Werkstatt (Teile für das Auto)
* Federn
* Schalter
* Wabenkern 
* Sensoren
* Schläuche`;
        case Sachkonto.Verbrauchsmaterialien:
            return `Verbrauchsmaterialien (Allgemeine Arbeitsmittel, die für verschiedene Bereiche benötigt werden)
* Pinsel
* Einweghandschuhe
* Holzleim
* Drahtseil
* Kabelbinder
* Farbe
* Harz
* Lack
* Schrauben`;
        case Sachkonto.TankenMaut:
            return `Tanken + Maut
* Sprit
* Maut`;
        case Sachkonto.Bewirtung:
            return `Bewirtung (Essen und Getränke)
* Einkauf Lebensmittel`;
        case Sachkonto.Geschaeftsbedarf:
            return `Geschäftsbedarf
* Pavillion
* Klebeband
* Stifte`;
        case Sachkonto.MieteFahrzeug:
            return `Miete Fahrzeug (Autovermietung)
* Sprintermiete
* Anhängermiete`;
        case Sachkonto.Dienstkleidung:
            return `Dienstkleidung
* Schutzhandschuhe (mehrfach nutzbar)
* Schutzbrillen
* Teamkleidung`;
    }
}

export default Sachkonto;
export {sachkontoDescription};