import {Document} from '@react-pdf/renderer';
import Person from "../../data/Person.ts";
import AuszahlungPage from "./AuszahlungPage.tsx";
import Posten from "../../data/Posten.ts";

const MyDocument = ({person, bankdaten, posten}: { person: Person, bankdaten: any, posten: Posten[] }) => {
    return (
        <Document>
            <AuszahlungPage person={person} bank={bankdaten} posten={posten}/>
        </Document>
    );
}

export default MyDocument;
